#version 300 es

precision highp float;

in highp vec2 v_TexCoord;

uniform sampler2D u_Texture;
uniform float u_Alpha;
uniform float u_Pow;

layout(location = 0) out vec4 o_FragColor;


void main() {
    o_FragColor = vec4(pow(texture(u_Texture, v_TexCoord).r * u_Alpha, u_Pow), 0.0, 0.0, 1.0);
}
