#version 300 es

in vec4 a_Position;

uniform mat4 u_ProjM;
uniform mat4 u_ModelM;

out vec2 u_VertexPos;

void main() {
    mat4 mvp = u_ProjM * u_ModelM;
    gl_Position = mvp * a_Position;
    u_VertexPos = (u_ModelM * a_Position).xy;
}