#version 300 es

precision highp float;

in highp vec2 v_TexCoord;
uniform sampler2D u_Texture;
uniform vec3 u_Color;
uniform float u_Alpha;

layout(location = 0) out vec4 o_FragColor;

void main() {
    float a = texture(u_Texture, v_TexCoord).r * u_Alpha;
    o_FragColor = vec4(u_Color, 1.0) * a;
}
