#version 300 es

in vec4 a_Position;

uniform mat4 u_ProjM;
uniform mat4 u_ModelM;
uniform mat4 u_ViewM;
uniform mat4 u_ZRotM;
uniform mat4 u_YRotM;
uniform mat4 u_XRotM;

out vec2 v_TexCoord;

void main()
{
    v_TexCoord = a_Position.xy + vec2(0.5, 0.5);
    gl_Position = u_ProjM * (u_ViewM * (u_XRotM * (u_YRotM * (u_ZRotM * (u_ModelM * a_Position)))));
}